using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BazaZamowien.Classes;
using Microsoft.Reporting.WinForms;

namespace BazaZamowien
{
    public partial class ZamowienieViewer : Form
    {


        private zamowieniaDataSet dataset = new zamowieniaDataSet();
        private zamowieniaDataSetTableAdapters.wydrukZamowieniaTableAdapter adapter = new BazaZamowien.zamowieniaDataSetTableAdapters.wydrukZamowieniaTableAdapter();
        private zamowieniaDataSetTableAdapters.RealizacjeTableAdapter adapter2 = new BazaZamowien.zamowieniaDataSetTableAdapters.RealizacjeTableAdapter();

        public ZamowienieViewer(List<int> IDElist)
        {
            InitializeComponent();
            adapter.Connection.ConnectionString = ConnString.getConnString().ZamowieniaConnStr;
            adapter2.Connection.ConnectionString = ConnString.getConnString().ZamowieniaConnStr;

            adapter.ClearBeforeFill = false;
            adapter2.ClearBeforeFill = false;

            foreach (int i in IDElist)
            {
                adapter.FillByIDE(dataset.wydrukZamowienia, i);
                adapter2.FillByIDEZamowienia(dataset.Realizacje, i);
            }


        }

        private void ZamowienieViewer_Load(object sender, EventArgs e)
        {
            reportViewer1.LocalReport.DataSources.Add(new ReportDataSource("zamowieniaDataSet_wydrukZamowienia",dataset.wydrukZamowienia));
            reportViewer1.LocalReport.DataSources.Add(new ReportDataSource("zamowieniaDataSet_Realizacje", dataset.Realizacje));
            
            reportViewer1.LocalReport.SubreportProcessing += new SubreportProcessingEventHandler(SubreportProcessing);

            this.reportViewer1.RefreshReport();
        }

        void SubreportProcessing(object sender, SubreportProcessingEventArgs e)
        {
            e.DataSources.Add(new ReportDataSource("zamowieniaDataSet_Realizacje", dataset.Realizacje));          
        }
    }
}